SECURELEVEL_GT(9)

NAME
securelevel_gt, securelevel_ge - test active securelevel

SYNOPSIS
#include <sys/types.h>
#include <sys/proc.h>
int
securelevel_gt(struct ucred *cr, int level);
int
securelevel_ge(struct ucred *cr, int level);

DESCRIPTION
These functions test the active security level against the given level. If the calling credential cr was imprisoned by the jail(2) system call, and has a different security level set than the host environment, the security level with the highest value is used.

The securelevel_gt() function will evaluate whether or not the active security level is greater than the supplied level.

The securelevel_ge() function will evaluate whether or not the active security level is greater than or equal to the supplied level.

RETURN VALUES
These functions return EPERM if condition evaluated to true, and 0 otherwise.

SEE ALSO
securelevel(7)